% generates the plots in Figure 3
% asymmetric t-distribution priors for h1 and h2

clear;
clc;

sig_h1 = 1;
mu_h1 = -0.1;
nu_h1 = 3;
lam_h1 =-4;   

h1=(-4:0.001:1)';
for jj=1:size(h1,1)
    fh1(jj,1)= log(1/sig_h1) + log(tpdf((h1(jj,1)-mu_h1)/sig_h1,nu_h1)) + log(normcdf(lam_h1*h1(jj,1)/sig_h1));
end

figure(3)
subplot(2,2,1)
plot(h1,exp(fh1),'b','linewidth',2)
axis([-4 1 0 0.4])
set(gca,'XTick',-4:1:1)
set(gca,'YTick',0:0.1:0.4)
title('Panel A: h1')

hold;

sig_h2 = 0.5;
mu_h2 = -0.3;
nu_h2 = 3;
lam_h2 =-2;

h2=(-2:0.001:1)';
for jj=1:size(h2,1)
    fh2(jj,1)= log(1/sig_h2) + log(tpdf((h2(jj,1)-mu_h2)/sig_h2,nu_h2)) + log(normcdf(lam_h2*h2(jj,1)/sig_h2));
end

subplot(2,2,2)
plot(h2,exp(fh2),'b','linewidth',2)
axis([-2 1 0 0.8])
set(gca,'XTick',-4:0.5:1)
set(gca,'YTick',0:0.2:0.8)
title('Panel B: h2')
