%%% Code to plot truncated Student t
% set values that characterize the priors and how they will be plotted
signA = [0 0 0];
cA = [0.75 0.75 0.75];
sigA = [0.4 2 10];
nuA = [3 3 3];
nA = 3;
xbound = 10;
ybound = 1;
steps = xbound/1000;

%==================================================
% calculate prior densities to plot against posteriors

z1=-xbound:steps:xbound;         %grid for parameters to define points where density is evaluated
pdf_prior = zeros(3,size(z1,2));

% t-distributed priors
i = 0;
while i < nA-1
     i = i + 1;
     z2 = (z1 - cA(i))/sigA(i);
     if signA(i) == 1
 	pdf_prior(i,:) = ((z1 > 0.0) .* (tpdf(z2,nuA(i))/sigA(i))) / (1 - tcdf(-cA(i)/sigA(i),nuA(i)));
     elseif signA(i) == -1
	pdf_prior(i,:) = ((z1 < 0.0) .* (tpdf(z2,nuA(i))/sigA(i))) / tcdf(-cA(i)/sigA(i),nuA(i));
     elseif signA(i) == 0
	pdf_prior(i,:) = tpdf(z2,nuA(i)) / sigA(i);
     end 
end

   
% ====================================================
% produce figure

figure(8)
plot(z1,pdf_prior(1,:),z1,pdf_prior(2,:),...
z1,pdf_prior(3,:),'LineWidth',2); box on
axis([-xbound xbound 0 ybound])
set(gca,'FontSize',12)
legend({'\sigma = 0.4','\sigma = 2','\sigma = 10'},'FontSize',14)





