function [alpha,beta]=GetGammaParameters(meanG,stdG)
% This function finds the parameters alpha and beta for the Gamma
% distribution, such that the mode and the standard deviation of the
% distribution are equal to modeG and stdG, respectively
% Mode: (alpha-1)/beta
% Mean: alpha/beta
% Variance: alpha/beta^2
VarG=stdG^2;
R=roots([VarG -(meanG) 0]');
beta=max(R);
alpha=meanG*beta;
