% simulate h to obtain empirically location and scale parameters

clear;
clc;
   
ndraws=10000;     %number of draws

%===========================================================
% set prior for A
nA = 6;
setPriorA;

seednumber=140778;
rand('seed',seednumber);
randn('seed',seednumber);

count=0;
h1=zeros(ndraws,1);
  
while count<ndraws 
    count=count+1;
    if (count/1000) == floor(count/1000)
        count
    end
    
    %take random draws from prior distributions of elements in A
    theta1=draw_truncated_student(cA(1),sigA(1),nuA(1),1);
    theta2=draw_student(cA(2),sigA(2),nuA(2));
    theta3=draw_truncated_student(cA(3),sigA(3),nuA(3),-1);
    theta4=draw_truncated_student(cA(4),sigA(4),nuA(4),1);
    theta5=draw_truncated_student(cA(5),sigA(5),nuA(5),1);
    theta6=betarnd(A_rho,B_rho);
    vecA=[theta1; theta2; theta3; theta4; theta5; theta6];
    
    %define additional constraint on combination of parameters
    h1(count,1) = vecA(2,1) + vecA(3,1)*vecA(5,1)*(1-vecA(6,1));
   
end

mean(h1)
std(h1)
 
