nlags = 4;  % this is number of lags in VAR
kcum = 0;   % 0: not cumulated; 1: cumulated for IRFs and var decomps
load data2.txt;   % 1970:Q1 to 2008:Q4
% col 1 = real GDP 
% col 2 = potential real GDP 
% col 3 = GDP deflator (not used)
% col 4 = CPI (not used)
% col 5 = PCE deflator
% col 6 = fed funds rate (average of 3 months during quarter)
% col 7 = Moody's seasoned Baa corporate bond yield - 10-year Treasury
%         yield
% col 8 = CRB commodity spot price index
% col 9 = average hourly earnings
gap = 100*(log(data2(5:end,1)) - log(data2(5:end,2)));
infl = 100*(log(data2(5:end,5)) - log(data2(1:end-4,5))); % inflation is year over year change in PCE deflator
ffr = data2(5:end,6);
spread = data2(5:end,7);
comm = 100*(log(data2(5:end,8)) - log(data2(1:end-4,8)));
wage = 100*(log(data2(5:end,9)) - log(data2(1:end-4,9)));

if VARmodel == 'small'
   varnames = {' y'; ' \pi'; ' r'};
   shocknames = {' supply'; ' demand'; ' monetary policy'};
   yall = [gap infl ffr];
elseif VARmodel == 'large'
    varnames = {' y'; ' \pi'; ' r'; ' spread'; ' \pi_comm'; ' wage' };
    shocknames = {' supply'; ' demand'; ' monetary policy'; ' spread'; ' comm'; ' wage'};
    yall = [gap infl ffr spread comm wage];
end

tstart = 61;                % start estimation with 1986:Q1
tend = size(yall,1) - 1;    % end estimation with 2008:Q3
YY = yall(tstart:tend,:);
date_start = 1986;
date_end = 2008.5;
time = (1986:0.25:2008.5)';

