% priors for the benchmark specification
% elements of A with a t-distribution
if VARmodel == 'small'
   cA = [2; .75; -1; 0.5; 1.5];   % prior mode
   sigA = 0.4*ones(nA-1,1);       % prior scale (determines how confident you are in your prior)
   nuA = 3*ones(nA-1,1);
   signA = [1; 0; -1; 1; 1];        
    % signA = 1 for elements constrained to positive 
    %       = -1 for elements constrained to be negative
    %       = 0 for elements not sign constrained
   % Beta prior for smoothing parameter rho (mode=0.75, std=0.1)
   A_rho=2.6;  
   B_rho=2.6;  

   longA = [0; 0; 1];
    % longA = 1 for equations with restrictions on lagged structural parameters added
    %       = 0 for equations with no additional restrictions
   Ri = [0 0 1 zeros(1,(n*(nlags-1))+1)]; 
      % this uses information on rho in equation #3 (Taylor rule)
   Vi = 0.1;  

   anames = {' \alpha^{s}';' \beta^{d}'; ' \gamma^{d}'; ' \psi^{y}'; ...
             ' \psi^{\pi}'; ' \rho'};
 
elseif VARmodel == 'large'
    cA = [2; .75; -1; 0.5; 1.5; zeros(24,1)];   % prior mode
    sigA = [0.4*ones(5,1); ones(24,1)];         % prior scale (determines how confident you are in your prior)
    nuA = 3*ones(nA-1,1);
    signA = [1; 0; -1; 1; 1; zeros(24,1)];        
     % signA = 1 for elements constrained to positive 
     %       = -1 for elements constrained to be negative
     %       = 0 for elements not sign constrained
    % Beta prior for smoothing parameter rho (mode=0.75, std=0.1)
    A_rho=2.6;  
    B_rho=2.6;  

    longA = [0; 0; 1; 0; 0; 0];
    % longA = 1 for equations with restrictions on lagged structural parameters added
    %       = 0 for equations with no additional restrictions
    Ri = [0 0 1 0 0 0 zeros(1,(n*(nlags-1))+1)]; 
      % this uses information on rho in equation #3 (Taylor rule)
    Vi = 0.1;  

    anames = {' \alpha^{s}';' \beta^{d}'; ' \gamma^{d}'; ' \psi^{y}'; ...
              ' \psi^{\pi}'; 'a_{14}'; 'a_{15}'; 'a_{16}'; 'a_{24}'; ...
              'a_{25}'; 'a_{26}'; 'a_{34}'; 'a_{35}'; 'a_{36}'; ...
              'a_{41}'; 'a_{42}'; 'a_{43}'; 'a_{45}'; 'a_{46}'; ...
              'a_{51}'; 'a_{52}'; 'a_{53}'; 'a_{54}'; 'a_{56}'; ...
              'a_{61}'; 'a_{62}'; 'a_{63}'; 'a_{64}'; 'a_{65}';' \rho'};

end

% prior for D
kappa = 2.0*ones(n,1);
% tau is determined from kappa and draw of A

% prior for B
eta = 0.75*[eye(n) zeros(n,k-n)];

lambda0 = 0.1;   
lambda1 = 1.0;  
lambda3 = 100.0;
            
    


